=== debian/control ===
Source: sentrypeer
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: autoconf,
               autoconf-archive,
               automake,
               debhelper-compat (= 12),
               libcmocka-dev,
               libcurl4-openssl-dev,
               libjansson-dev,
               libmicrohttpd-dev,
               libosip2-dev,
               libpcre2-dev,
               libsqlite3-dev,
               pkg-config,
               uuid-dev
Standards-Version: 4.6.2
Homepage: https://sentrypeer.org
Rules-Requires-Root: no

Package: sentrypeer
Architecture: amd64 arm64
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Description: SIP peer to peer honeypot for VoIP
 SentryPeer is a distributed list of bad IP addresses and phone numbers
 collected via a SIP Honeypot.
 SentryPeer is a fraud detection tool. It lets bad actors try to make phone
 calls and saves the IP address they came from and number they tried to call.
 Those details can then be used to raise notifications at the service providers
 network and the next time a user/customer tries to call a collected number,
 you can act anyway you see fit.
 .
 Traditionally this data is shipped to a central place, so you don't own
 the data you've collected. This project is all about Peer to Peer sharing
 of that data. The user owning the data and various Service Provider /
 Network Provider related feeds of the data is the key bit for me. I'm
 sick of all the services out there that keep it and sell it. If you've
 collected it, you should have the choice to keep it and/or opt in to
 share it with other SentryPeer community members via p2p methods.
