=== debian/tests/control ===
Tests: test-service
Restrictions: superficial, isolation-container, needs-root
