=== debian/changelog ===
sentrypeer (4.0.4-0kali3) kali-dev; urgency=medium

  * Add missing build-dep: ca-certificates

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 May 2025 09:26:55 +0200

sentrypeer (4.0.4-0kali2) kali-dev; urgency=medium

  * Add missing depends to build rust parts
  * Update sentrypeer.service

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 May 2025 08:49:32 +0200

sentrypeer (4.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 4.0.4
  * Update debian/copyright
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 15:26:11 +0200

sentrypeer (3.0.2-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Bump Standards-Version (no changes needed)
  * Bump debhelper compat
  * New upstream version 3.0.2

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 10 Sep 2024 14:13:23 +0700
