=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: sentrypeer
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: autoconf,
                autoconf-archive,
                automake,
-               debhelper-compat (= 12),
+	       cargo,
+	       ca-certificates,
+               debhelper-compat (= 13),
+	       libclang-dev,
                libcmocka-dev,
                libcurl4-openssl-dev,
                libjansson-dev,
@@ -14,10 +17,12 @@
                libosip2-dev,
                libpcre2-dev,
                libsqlite3-dev,
-               pkg-config,
+               pkgconf,
                uuid-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sentrypeer.org
+Vcs-Browser: https://gitlab.com/kalilinux/packages/sentrypeer
+Vcs-Git: https://gitlab.com/kalilinux/packages/sentrypeer.git
 Rules-Requires-Root: no
 
 Package: sentrypeer
