=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sentrypeer-$1.tar.gz%" \
   https://github.com/sentrypeer/sentrypeer/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
